Table of Contents

Class: HelpWindow | eric3/Helpviewer/HelpWindow.py
--- | ---

### Class implementing the helpviewer main window.

It was ported to PyQt from the Qt examples. This version includes some enhancements to the original like a search dialog, a history and a bookmark function.

Base Classes |
--- | ---
QMainWindow

Methods |
--- | ---

__init__ closeEvent handleAbout handleAboutQt handleAddBookmark handleBookmChosen handleClearHistory handleEditBookmarks handleFind | handleHistChosen handleNewWindow handleOpenFile handlePathSelected handlePrintFile handleShowBookmarksMenu handleShowHistoryMenu handleTextChanged initActions | initMenus initToolbars readBookmarks readHistory setBackwardAvailable setForwardAvailable writeBookmarks

| __init__

    __init__ (
            self,
            home,
            path,
            parent,
            name,
            fromEric=0,
            )

### Constructor

#### Arguments

home
  the helpfile to be shown (string or QString)
path
  the path of the working dir (usually `.`) (string or QString)
parent
  parent widget of this window (QWidget)
name
  name of this window (string or QString)
fromEric
  flag indicating whether it was called from within eric3 (boolean)

| closeEvent

    closeEvent ( self,  e )

### Private event handler for the close event.

This handler saves the current history entries to the eric3 Preferences file.

#### Arguments

e
  the close event (QCloseEvent) This event is simply accepted after the history has been saved and all window references have been deleted.

| handleAbout

    handleAbout ( self )

Private slot to show the about information.

| handleAboutQt

    handleAboutQt ( self )

Private slot to show info about Qt.

| handleAddBookmark

    handleAddBookmark ( self )

Private slot called to add the displayed file to the bookmarks.

| handleBookmChosen

    handleBookmChosen ( self,  i )

Private slot called by the bookmarks menu to display the selected file.

| handleClearHistory

    handleClearHistory ( self )

Private slot called to clear the current history.

| handleEditBookmarks

    handleEditBookmarks ( self )

### Private slot called to edit the bookmarks.

It opens the bookmark dialog to rearrange, delete or edit the collection of bookmarks.

| handleFind

    handleFind ( self )

### Private slot to handle the find action.

It opens the search dialog in order to perform the various search actions and to collect the various search info.

| handleHistChosen

    handleHistChosen ( self,  i )

Private slot called by the history menu to display the selected file.

| handleNewWindow

    handleNewWindow ( self,  link=None )

### Public slot called to open a new help window.

This new help window is a clone of the current one unless a new file is given.

#### Arguments

link
  file to be displayed in the new window (QString)

| handleOpenFile

    handleOpenFile ( self )

Private slot called to open a file.

| handlePathSelected

    handlePathSelected ( self,  path )

Private slot called when a file is selected in the combobox.

| handlePrintFile

    handlePrintFile ( self )

Private slot called to print the displayed file.

| handleShowBookmarksMenu

    handleShowBookmarksMenu ( self )

Private slot called in order to show the bookmarks menu.

| handleShowHistoryMenu

    handleShowHistoryMenu ( self )

Private slot called in order to show the history menu.

| handleTextChanged

    handleTextChanged ( self )

Private slot called when the displayed text of the comboboxis changed.

| initActions

    initActions ( self )

Private method to define the user interface actions.

| initMenus

    initMenus ( self )

Private method to create the menus.

| initToolbars

    initToolbars ( self )

Private method to create the toolbars.

| readBookmarks

    readBookmarks ( self )

Private function to read the bookmarks from the eric3 preferences file.

| readHistory

    readHistory ( self )

Private function to read the history from the eric3 preferences file.

| setBackwardAvailable

    setBackwardAvailable ( self,  b )

Private slot called when backward references are available.

| setForwardAvailable

    setForwardAvailable ( self,  b )

Private slot called when forward references are available.

| writeBookmarks

    writeBookmarks ( self )

Public function to write the bookmarks to the eric3 preferences file.

Table of Contents

This document was automatically generated by HappyDoc version 2.1